#------------------------------------------------------------------
# make file to build BlockIP2 on HP                           
#------------------------------------------------------------------
BLOCKIP = BlockIP2
LIBDIR  = /opt/mqm/lib
INCDIR  = /opt/mqm/inc

#------------------------------------------------------------------
# set OUTDIR to create dll in a path other than current directory  
#------------------------------------------------------------------
OUTDIR = .

#------------------------------------------------------------------
# ANSI C89 compiler                
#------------------------------------------------------------------
CC = c89
LINK = ld

#------------------------------------------------------------------
# Compile flags for C89 compiler
#------------------------------------------------------------------
CFLAGS = -D_HPUX_SOURCE +DAportable -c +e +z


#------------------------------------------------------------------
# Link flags for non-debug build
#------------------------------------------------------------------
LINKFLAGS = -b -z +b$(LIBDIR):/usr/lib -L$(LIBDIR)

#------------------------------------------------------------------
# Link libraries
#------------------------------------------------------------------
LIBS = -lmqm -lmqmzf 
LIBS_r = -lmqm_r -lmqmzf_r
 
COPY = cp
ERASE = rm 
 
 
ALL : $(OUTDIR)/$(BLOCKIP)
       

#------------------------------------------------------------------
# run make CLEAN to remove working files
#------------------------------------------------------------------
CLEAN:  
	$(ERASE) *.o *.map $(BLOCKIP)
        

#------------------------------------------------------------------
# List of object file to be built
#------------------------------------------------------------------
BLOCKIP_OBJS = BlockIP2.o


#------------------------------------------------------------------
# List of object file dependencies
#------------------------------------------------------------------
BlockIP2.o: BlockIP2.c
	$(CC) $(CFLAGS) $(INCDIR) BlockIP2.c

 
#------------------------------------------------------------------
# Generate the shared libs
#------------------------------------------------------------------
$(OUTDIR)/$(BLOCKIP): $(BLOCKIP_OBJS) 
	$(LINK) $(LINKFLAGS) -o $(BLOCKIP) $(BLOCKIP_OBJS) $(LIBS)
	$(LINK) $(LINKFLAGS) -o $(BLOCKIP)_r $(BLOCKIP_OBJS) $(LIBS_r)
